Announcement

Collapse
No announcement yet.

Is Oculus Rift S supported?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Is Oculus Rift S supported?

    I've been fighting with getting it up and running properly, I have a few threads for those problems but I should probably know if it is fully supported first, I cant find a straight answer.

    This statement: "The Unreal Game Engine provides integrated support for VR applications that target the Oculus Go and Oculus Rift S headsets. This enables your applications to support stereoscopic rendering, orientation tracking, and positional tracking (on the Oculus Rift S)."

    But my experience has been that it doesn't work properly and there was another thread I saw where someone a few months ago said that they had to compile the source version to get it to work.


    #2
    Unreal Engine ships with a plugin for Oculus headsets. The plugin in the current version of the engine is a little out of date. The latest headsets like the Rift S are therefore not supported out of the box. This will get fixed when the new version of the engine is released with the updated plugin. Until then you can remedy this problem by updating the source for the engine with the latest plugin from oculus and compiling it yourself.

    https://forums.unrealengine.com/deve...source-release

    The oculus plugin that ships with the complied version of the engine has always been a step or two behind the latest version from oculus. Nothing new here.
    UE4 Tutorials for 3rd person Blueprint project from scratch: Youtube Channel
    Use Blender 2.8 to make UE4 compatible animations: Blog

    Comment


      #3
      Very good point, these new HMDs like the Oculus Rift S are an important step in VR : they integrate inside out tracking meaning external cameras are no longer needed so the user is more free to physically move around.

      Same question for the incoming HTC Vive Cosmos. I suppose a plugin will be integrated?

      Comment


        #4
        The Vive and Tobii SDKs are also out of date, so neither Cosmos nor Pro Eye are currently supported.

        Comment


          #5
          Is this still not supported out of the box in 4.23?

          Comment

          Working...
          X